<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (16) on Mon May 31 12:39:56 CEST 2021 -->
<title>Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-05-31">
<meta name="description" content="index">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="#I:A">A</a>&nbsp;<a href="#I:B">B</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:U">U</a>&nbsp;<a href="#I:V">V</a>&nbsp;<a href="#I:W">W</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:A">A</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTree.html#add(app.exercise.adt.Node,E)">add(Node&lt;E&gt;, E)</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/BSTree.html" title="class in app.exercise.adt">BSTree</a></dt>
<dd>
<div class="block">Eigentliche Funktion, welche rekursiv einen Knoten einfügt</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/BasisFraction.html#add(app.exercise.algebra.Fractional)">add(Fractional)</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/BasisFraction.html" title="class in app.exercise.algebra">BasisFraction</a></dt>
<dd>
<div class="block">Diese Methode addiert ein Rational auf das jetzige Objekt</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Fractional.html#add(app.exercise.algebra.Fractional)">add(Fractional)</a></span> - Method in interface app.exercise.algebra.<a href="app/exercise/algebra/Fractional.html" title="interface in app.exercise.algebra">Fractional</a></dt>
<dd>
<div class="block">Funktion zum addieren zweier Fractionals</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTree.html#add(E)">add(E)</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/BSTree.html" title="class in app.exercise.adt">BSTree</a></dt>
<dd>
<div class="block">Funktion, zum hinzufügen eines Knotens
 Sie ruft eine weitere Hilfsfunktion auf</div>
</dd>
<dt><a href="app/exercise/adt/package-summary.html">app.exercise.adt</a> - package app.exercise.adt</dt>
<dd>&nbsp;</dd>
<dt><a href="app/exercise/algebra/package-summary.html">app.exercise.algebra</a> - package app.exercise.algebra</dt>
<dd>&nbsp;</dd>
<dt><a href="app/exercise/testing/package-summary.html">app.exercise.testing</a> - package app.exercise.testing</dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:B">B</h2>
<dl class="index">
<dt><a href="app/exercise/algebra/BasisFraction.html" title="class in app.exercise.algebra"><span class="type-name-link">BasisFraction</span></a> - Class in <a href="app/exercise/algebra/package-summary.html">app.exercise.algebra</a></dt>
<dd>
<div class="block">Diese klasse implementiert einige Methoden aus Fractional,
 zum arbeiten mit Rational Objekten.</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/BasisFraction.html#%3Cinit%3E()">BasisFraction()</a></span> - Constructor for class app.exercise.algebra.<a href="app/exercise/algebra/BasisFraction.html" title="class in app.exercise.algebra">BasisFraction</a></dt>
<dd>&nbsp;</dd>
<dt><a href="app/exercise/adt/BSTree.html" title="class in app.exercise.adt"><span class="type-name-link">BSTree</span></a>&lt;<a href="app/exercise/adt/BSTree.html" title="type parameter in BSTree">E</a>&gt; - Class in <a href="app/exercise/adt/package-summary.html">app.exercise.adt</a></dt>
<dd>
<div class="block">Klasse, mit der sich ein BSTree realisieren lässt</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTree.html#%3Cinit%3E()">BSTree()</a></span> - Constructor for class app.exercise.adt.<a href="app/exercise/adt/BSTree.html" title="class in app.exercise.adt">BSTree</a></dt>
<dd>&nbsp;</dd>
<dt><a href="app/exercise/adt/BSTreeIterator.html" title="class in app.exercise.adt"><span class="type-name-link">BSTreeIterator</span></a>&lt;<a href="app/exercise/adt/BSTreeIterator.html" title="type parameter in BSTreeIterator">E</a>&gt; - Class in <a href="app/exercise/adt/package-summary.html">app.exercise.adt</a></dt>
<dd>
<div class="block">Iterator für einen Binary-Search-Tree</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTreeIterator.html#%3Cinit%3E(app.exercise.adt.BSTree)">BSTreeIterator(BSTree&lt;E&gt;)</a></span> - Constructor for class app.exercise.adt.<a href="app/exercise/adt/BSTreeIterator.html" title="class in app.exercise.adt">BSTreeIterator</a></dt>
<dd>
<div class="block">Der Konstruktor setzt die Liste des Iterators</div>
</dd>
<dt><a href="app/exercise/testing/BSTreeTester.html" title="class in app.exercise.testing"><span class="type-name-link">BSTreeTester</span></a> - Class in <a href="app/exercise/testing/package-summary.html">app.exercise.testing</a></dt>
<dd>
<div class="block">Klasse zum Testen unserer Funktionen</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/testing/BSTreeTester.html#%3Cinit%3E()">BSTreeTester()</a></span> - Constructor for class app.exercise.testing.<a href="app/exercise/testing/BSTreeTester.html" title="class in app.exercise.testing">BSTreeTester</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:C">C</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/testing/RPN.html#checkForNumber(java.lang.String)">checkForNumber(String)</a></span> - Static method in class app.exercise.testing.<a href="app/exercise/testing/RPN.html" title="class in app.exercise.testing">RPN</a></dt>
<dd>
<div class="block">Die Methode guckt ob ein String zu einem Long geparsed werden kann</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#clone()">clone()</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">Methode zum Clonen von Objekten</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/CompRational.html#compareTo(app.exercise.algebra.CompRational)">compareTo(CompRational)</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/CompRational.html" title="class in app.exercise.algebra">CompRational</a></dt>
<dd>
<div class="block">compareTo macht zwei Objekte der Klasse miteinander vergleichbar,
 indem sie auf den gleichen nenner gebracht werden und der Zählr vergleicht
 wird</div>
</dd>
<dt><a href="app/exercise/algebra/CompRational.html" title="class in app.exercise.algebra"><span class="type-name-link">CompRational</span></a> - Class in <a href="app/exercise/algebra/package-summary.html">app.exercise.algebra</a></dt>
<dd>
<div class="block">Die Klasse erbt von Rational und implementiert java.lang.Conparable,
 somit sind einzelne Objekte miteinander vergleichbar</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/CompRational.html#%3Cinit%3E()">CompRational()</a></span> - Constructor for class app.exercise.algebra.<a href="app/exercise/algebra/CompRational.html" title="class in app.exercise.algebra">CompRational</a></dt>
<dd>
<div class="block">Default konstruktor ruft auch den Konstruktor der Superklasse auf</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/CompRational.html#%3Cinit%3E(long,long)">CompRational(long, long)</a></span> - Constructor for class app.exercise.algebra.<a href="app/exercise/algebra/CompRational.html" title="class in app.exercise.algebra">CompRational</a></dt>
<dd>
<div class="block">Konstruktor mit zwei Parametern, ruft einfach den Konstruktor
 der super-Klasse auf</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTree.html#contains(java.lang.Object)">contains(Object)</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/BSTree.html" title="class in app.exercise.adt">BSTree</a></dt>
<dd>
<div class="block">Die Funktion guckt ob ein Wert im Baum vorhanden ist</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTree.html#containsAll(java.util.Collection)">containsAll(Collection&lt;?&gt;)</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/BSTree.html" title="class in app.exercise.adt">BSTree</a></dt>
<dd>
<div class="block">Die Funktion macht es möglich zu testen, ob mehrere Werte im Baum
 vorhanden sind.</div>
</dd>
</dl>
<h2 class="title" id="I:D">D</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#denominator">denominator</a></span> - Variable in class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">Objektvariable denominator ist der Nenner</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/BasisFraction.html#div(app.exercise.algebra.Fractional)">div(Fractional)</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/BasisFraction.html" title="class in app.exercise.algebra">BasisFraction</a></dt>
<dd>
<div class="block">Die Methode dividiert ein Fractional von dem jetzigen Objekt</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Fractional.html#div(app.exercise.algebra.Fractional)">div(Fractional)</a></span> - Method in interface app.exercise.algebra.<a href="app/exercise/algebra/Fractional.html" title="interface in app.exercise.algebra">Fractional</a></dt>
<dd>
<div class="block">Funktion zum dividieren zweier Fractionals</div>
</dd>
</dl>
<h2 class="title" id="I:E">E</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#equals(java.lang.Object)">equals(Object)</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">Methode zum vergleichen zweier Objekte</div>
</dd>
</dl>
<h2 class="title" id="I:F">F</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTreeIterator.html#forEachRemaining(java.util.function.Consumer)">forEachRemaining(Consumer&lt;? super E&gt;)</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/BSTreeIterator.html" title="class in app.exercise.adt">BSTreeIterator</a></dt>
<dd>
<div class="block">Diese Funktion ist nicht implementiert</div>
</dd>
<dt><a href="app/exercise/algebra/Fractional.html" title="interface in app.exercise.algebra"><span class="type-name-link">Fractional</span></a> - Interface in <a href="app/exercise/algebra/package-summary.html">app.exercise.algebra</a></dt>
<dd>
<div class="block">Interface für Brüche</div>
</dd>
</dl>
<h2 class="title" id="I:G">G</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#gcd(long,long)">gcd(long, long)</a></span> - Static method in class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">greatest common divisor</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Fractional.html#getD()">getD()</a></span> - Method in interface app.exercise.algebra.<a href="app/exercise/algebra/Fractional.html" title="interface in app.exercise.algebra">Fractional</a></dt>
<dd>
<div class="block">Getter Funktion</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#getD()">getD()</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">Getter Methode</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/Node.html#getLeft()">getLeft()</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/Node.html" title="class in app.exercise.adt">Node</a></dt>
<dd>
<div class="block">Getter Funktion fürs linke Kind</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Fractional.html#getN()">getN()</a></span> - Method in interface app.exercise.algebra.<a href="app/exercise/algebra/Fractional.html" title="interface in app.exercise.algebra">Fractional</a></dt>
<dd>
<div class="block">Getter Funktion</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#getN()">getN()</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">Getter Methode</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/testing/BSTreeTester.html#getNumbers(int,app.exercise.algebra.CompRational,app.exercise.algebra.CompRational)">getNumbers(int, CompRational, CompRational)</a></span> - Static method in class app.exercise.testing.<a href="app/exercise/testing/BSTreeTester.html" title="class in app.exercise.testing">BSTreeTester</a></dt>
<dd>
<div class="block">Die Funktion liefert CompRationals zwischen zwei Grenzen zurück</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTreeIterator.html#getOrderedList(app.exercise.adt.Node)">getOrderedList(Node&lt;E&gt;)</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/BSTreeIterator.html" title="class in app.exercise.adt">BSTreeIterator</a></dt>
<dd>
<div class="block">Methode zum erzeugen einer Liste</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/Node.html#getParent()">getParent()</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/Node.html" title="class in app.exercise.adt">Node</a></dt>
<dd>
<div class="block">Die Funktion gibt die Referenz auf den Parent-Knoten</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/Node.html#getRight()">getRight()</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/Node.html" title="class in app.exercise.adt">Node</a></dt>
<dd>
<div class="block">Getter Funktion fürs rechte Kind</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTree.html#getRoot()">getRoot()</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/BSTree.html" title="class in app.exercise.adt">BSTree</a></dt>
<dd>
<div class="block">Die Funktion gibt die Wurzel eines Baumes zurück</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTree.html#getSmallestKey(app.exercise.adt.Node)">getSmallestKey(Node&lt;E&gt;)</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/BSTree.html" title="class in app.exercise.adt">BSTree</a></dt>
<dd>
<div class="block">Die Funktion findet den kleinste Value eines Subtree von Knoten</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/Node.html#getValue()">getValue()</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/Node.html" title="class in app.exercise.adt">Node</a></dt>
<dd>
<div class="block">Getter Funktion für den Wert des Knotens</div>
</dd>
</dl>
<h2 class="title" id="I:H">H</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#hashCode()">hashCode()</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">Methode, welche einen Hash-Code für jedes Objekt erzeugt</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTreeIterator.html#hasNext()">hasNext()</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/BSTreeIterator.html" title="class in app.exercise.adt">BSTreeIterator</a></dt>
<dd>
<div class="block">Funktion überprüft ob der Iterator ein nächstes Element hat</div>
</dd>
</dl>
<h2 class="title" id="I:I">I</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTreeIterator.html#index">index</a></span> - Variable in class app.exercise.adt.<a href="app/exercise/adt/BSTreeIterator.html" title="class in app.exercise.adt">BSTreeIterator</a></dt>
<dd>
<div class="block">Objektvariable index speichert den jetzigen Index</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTree.html#isEmpty()">isEmpty()</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/BSTree.html" title="class in app.exercise.adt">BSTree</a></dt>
<dd>
<div class="block">Funktion guckt ob der Baum leer ist</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/Node.html#isRed()">isRed()</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/Node.html" title="class in app.exercise.adt">Node</a></dt>
<dd>
<div class="block">Auskunft ob der Knoten rot ist oder nicht</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTree.html#iterator()">iterator()</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/BSTree.html" title="class in app.exercise.adt">BSTree</a></dt>
<dd>
<div class="block">Funktion zum Erzeugen eines Iterators</div>
</dd>
</dl>
<h2 class="title" id="I:L">L</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/adt/Node.html#left">left</a></span> - Variable in class app.exercise.adt.<a href="app/exercise/adt/Node.html" title="class in app.exercise.adt">Node</a></dt>
<dd>
<div class="block">Objektvariable linker Kind-Knoten</div>
</dd>
</dl>
<h2 class="title" id="I:M">M</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/testing/BSTreeTester.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class app.exercise.testing.<a href="app/exercise/testing/BSTreeTester.html" title="class in app.exercise.testing">BSTreeTester</a></dt>
<dd>
<div class="block">Die Main Methode führt alle geforderten Tests aus</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/testing/RationalTesting.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class app.exercise.testing.<a href="app/exercise/testing/RationalTesting.html" title="class in app.exercise.testing">RationalTesting</a></dt>
<dd>
<div class="block">Main-Methode, welche beim Ausführen der Klasse viele Tests
 ausgibt, in denen jede Methode von Rational und BasisFraction
 getestet wird.</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/testing/RPN.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class app.exercise.testing.<a href="app/exercise/testing/RPN.html" title="class in app.exercise.testing">RPN</a></dt>
<dd>
<div class="block">Die Main-Methode arbeitet den Ausdruck ab und liefert ein Ergebnis</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/BasisFraction.html#mul(app.exercise.algebra.Fractional)">mul(Fractional)</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/BasisFraction.html" title="class in app.exercise.algebra">BasisFraction</a></dt>
<dd>
<div class="block">Diese Methode multipliziert ein Rational auf das jetzige Objekt</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Fractional.html#mul(app.exercise.algebra.Fractional)">mul(Fractional)</a></span> - Method in interface app.exercise.algebra.<a href="app/exercise/algebra/Fractional.html" title="interface in app.exercise.algebra">Fractional</a></dt>
<dd>
<div class="block">Funktion zum multiplizieren zweier Fractionals</div>
</dd>
</dl>
<h2 class="title" id="I:N">N</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/algebra/BasisFraction.html#negation()">negation()</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/BasisFraction.html" title="class in app.exercise.algebra">BasisFraction</a></dt>
<dd>
<div class="block">Die Methode gibt die Negation eines Rationals als neues Objekt zurück</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Fractional.html#negation()">negation()</a></span> - Method in interface app.exercise.algebra.<a href="app/exercise/algebra/Fractional.html" title="interface in app.exercise.algebra">Fractional</a></dt>
<dd>
<div class="block">Funktion zum negieren eines Rationals</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTreeIterator.html#next()">next()</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/BSTreeIterator.html" title="class in app.exercise.adt">BSTreeIterator</a></dt>
<dd>
<div class="block">Funktion zum weiter iterieren</div>
</dd>
<dt><a href="app/exercise/adt/Node.html" title="class in app.exercise.adt"><span class="type-name-link">Node</span></a>&lt;<a href="app/exercise/adt/Node.html" title="type parameter in Node">T</a>&gt; - Class in <a href="app/exercise/adt/package-summary.html">app.exercise.adt</a></dt>
<dd>
<div class="block">Klasse um Knoten eines Baumes zu erstellen</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/Node.html#%3Cinit%3E(T,app.exercise.adt.Node)">Node(T, Node&lt;T&gt;)</a></span> - Constructor for class app.exercise.adt.<a href="app/exercise/adt/Node.html" title="class in app.exercise.adt">Node</a></dt>
<dd>
<div class="block">Konstrutor eines Knotens</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTreeIterator.html#nodeList">nodeList</a></span> - Variable in class app.exercise.adt.<a href="app/exercise/adt/BSTreeIterator.html" title="class in app.exercise.adt">BSTreeIterator</a></dt>
<dd>
<div class="block">Objektvariable nodeList speicherte die Liste der Knoten</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#numerator">numerator</a></span> - Variable in class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">Objektvariable numerator ist der Zähler</div>
</dd>
</dl>
<h2 class="title" id="I:P">P</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/adt/Node.html#parent">parent</a></span> - Variable in class app.exercise.adt.<a href="app/exercise/adt/Node.html" title="class in app.exercise.adt">Node</a></dt>
<dd>
<div class="block">Objektvariable Eltern-Knoten</div>
</dd>
</dl>
<h2 class="title" id="I:R">R</h2>
<dl class="index">
<dt><a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra"><span class="type-name-link">Rational</span></a> - Class in <a href="app/exercise/algebra/package-summary.html">app.exercise.algebra</a></dt>
<dd>
<div class="block">Klasse zum Rechnen mit rationalen Brüchen</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#%3Cinit%3E()">Rational()</a></span> - Constructor for class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">Default Konstruktor, welcher den Bruch 1/1 erzeugt</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#%3Cinit%3E(long,long)">Rational(long, long)</a></span> - Constructor for class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">Konstruktor mit zwei Parametern</div>
</dd>
<dt><a href="app/exercise/testing/RationalTesting.html" title="class in app.exercise.testing"><span class="type-name-link">RationalTesting</span></a> - Class in <a href="app/exercise/testing/package-summary.html">app.exercise.testing</a></dt>
<dd>
<div class="block">Klasse, welche die Funktionsweise von Objekten der Klasse Rational
 ausgiebig testet.</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/testing/RationalTesting.html#%3Cinit%3E()">RationalTesting()</a></span> - Constructor for class app.exercise.testing.<a href="app/exercise/testing/RationalTesting.html" title="class in app.exercise.testing">RationalTesting</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/BasisFraction.html#reciprocal()">reciprocal()</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/BasisFraction.html" title="class in app.exercise.algebra">BasisFraction</a></dt>
<dd>
<div class="block">Die Methode gibt ein neues Rational Objekt zurück, unzwar den Kehrwert</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Fractional.html#reciprocal()">reciprocal()</a></span> - Method in interface app.exercise.algebra.<a href="app/exercise/algebra/Fractional.html" title="interface in app.exercise.algebra">Fractional</a></dt>
<dd>
<div class="block">Funktion zum Bilden des Kehrwerts</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/Node.html#red">red</a></span> - Variable in class app.exercise.adt.<a href="app/exercise/adt/Node.html" title="class in app.exercise.adt">Node</a></dt>
<dd>
<div class="block">Objektvariable ob der Knoten rot ist</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTreeIterator.html#remove()">remove()</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/BSTreeIterator.html" title="class in app.exercise.adt">BSTreeIterator</a></dt>
<dd>
<div class="block">Diese Funktion ist nicht implementiert</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTree.html#remove(app.exercise.adt.Node,java.lang.Object)">remove(Node&lt;E&gt;, Object)</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/BSTree.html" title="class in app.exercise.adt">BSTree</a></dt>
<dd>
<div class="block">Funktion zum rekursiven Löschen</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTree.html#remove(java.lang.Object)">remove(Object)</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/BSTree.html" title="class in app.exercise.adt">BSTree</a></dt>
<dd>
<div class="block">Funktion zum löschen eines Knotens
 Sie ruft eine andere Funktion auf</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/Node.html#right">right</a></span> - Variable in class app.exercise.adt.<a href="app/exercise/adt/Node.html" title="class in app.exercise.adt">Node</a></dt>
<dd>
<div class="block">Objektvariable rechter Kind-Knoten</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTree.html#root">root</a></span> - Variable in class app.exercise.adt.<a href="app/exercise/adt/BSTree.html" title="class in app.exercise.adt">BSTree</a></dt>
<dd>
<div class="block">Objektvariable, welche die Wurzel des Baums speichert</div>
</dd>
<dt><a href="app/exercise/testing/RPN.html" title="class in app.exercise.testing"><span class="type-name-link">RPN</span></a> - Class in <a href="app/exercise/testing/package-summary.html">app.exercise.testing</a></dt>
<dd>
<div class="block">Klasse, welche das Abarbeiten und auswerten von Ausdrücken in
 umgekehrter polnische Notation mit Hilfe eines Stacks verwirklicht.</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/testing/RPN.html#%3Cinit%3E()">RPN()</a></span> - Constructor for class app.exercise.testing.<a href="app/exercise/testing/RPN.html" title="class in app.exercise.testing">RPN</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/adt/Node.html#setLeft(app.exercise.adt.Node)">setLeft(Node&lt;T&gt;)</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/Node.html" title="class in app.exercise.adt">Node</a></dt>
<dd>
<div class="block">Setter Funktion fürs linke Kind</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/BasisFraction.html#setND(long,long)">setND(long, long)</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/BasisFraction.html" title="class in app.exercise.algebra">BasisFraction</a></dt>
<dd>
<div class="block">Methodendeklaration einer Setter-Methode</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#setND(long,long)">setND(long, long)</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">Methode zum Setzen des Zählers und Nenners</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/Node.html#setParent(app.exercise.adt.Node)">setParent(Node&lt;T&gt;)</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/Node.html" title="class in app.exercise.adt">Node</a></dt>
<dd>
<div class="block">Setter Funktion um den Parent-Knoten festzulegen</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/Node.html#setRight(app.exercise.adt.Node)">setRight(Node&lt;T&gt;)</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/Node.html" title="class in app.exercise.adt">Node</a></dt>
<dd>
<div class="block">Setter Funktion fürs rechte Kind</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/Node.html#setVal(T)">setVal(T)</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/Node.html" title="class in app.exercise.adt">Node</a></dt>
<dd>
<div class="block">Setter Funktion fürs setzen des Wertes</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTree.html#size()">size()</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/BSTree.html" title="class in app.exercise.adt">BSTree</a></dt>
<dd>
<div class="block">Die Funktion gibt die Anzahl der Knoten eines Baumes zurück</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/BasisFraction.html#sub(app.exercise.algebra.Fractional)">sub(Fractional)</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/BasisFraction.html" title="class in app.exercise.algebra">BasisFraction</a></dt>
<dd>
<div class="block">Diese Methode subtrahiert ein Rational von dem jetzigen Objekt</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Fractional.html#sub(app.exercise.algebra.Fractional)">sub(Fractional)</a></span> - Method in interface app.exercise.algebra.<a href="app/exercise/algebra/Fractional.html" title="interface in app.exercise.algebra">Fractional</a></dt>
<dd>
<div class="block">Funktion zum subtrahieren zweier Fractionals</div>
</dd>
</dl>
<h2 class="title" id="I:T">T</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/testing/BSTreeTester.html#TIMELONG">TIMELONG</a></span> - Static variable in class app.exercise.testing.<a href="app/exercise/testing/BSTreeTester.html" title="class in app.exercise.testing">BSTreeTester</a></dt>
<dd>
<div class="block">Statische Variable für lange Zeit</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/testing/BSTreeTester.html#TIMEMEDIUM">TIMEMEDIUM</a></span> - Static variable in class app.exercise.testing.<a href="app/exercise/testing/BSTreeTester.html" title="class in app.exercise.testing">BSTreeTester</a></dt>
<dd>
<div class="block">Statische Variable für mittlere Zeit</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/testing/BSTreeTester.html#TIMESHORT">TIMESHORT</a></span> - Static variable in class app.exercise.testing.<a href="app/exercise/testing/BSTreeTester.html" title="class in app.exercise.testing">BSTreeTester</a></dt>
<dd>
<div class="block">Statische Variable für kurze Zeit</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTree.html#toArray()">toArray()</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/BSTree.html" title="class in app.exercise.adt">BSTree</a></dt>
<dd>
<div class="block">Der Baum wird zu einem Array</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/adt/BSTree.html#toString()">toString()</a></span> - Method in class app.exercise.adt.<a href="app/exercise/adt/BSTree.html" title="class in app.exercise.adt">BSTree</a></dt>
<dd>
<div class="block">Schönere Ausgabe des Baumes</div>
</dd>
<dt><span class="member-name-link"><a href="app/exercise/algebra/Rational.html#toString()">toString()</a></span> - Method in class app.exercise.algebra.<a href="app/exercise/algebra/Rational.html" title="class in app.exercise.algebra">Rational</a></dt>
<dd>
<div class="block">Kompaktere Ausgabe mit eigener toString Methode</div>
</dd>
</dl>
<h2 class="title" id="I:U">U</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/testing/BSTreeTester.html#update(app.exercise.adt.BSTree,app.exercise.visualtree.RedBlackTreeDrawer,java.lang.String,int)">update(BSTree&lt;CompRational&gt;, RedBlackTreeDrawer&lt;CompRational&gt;, String, int)</a></span> - Static method in class app.exercise.testing.<a href="app/exercise/testing/BSTreeTester.html" title="class in app.exercise.testing">BSTreeTester</a></dt>
<dd>
<div class="block">Die Funktion kümmert sich ums darstellen der Bäume</div>
</dd>
</dl>
<h2 class="title" id="I:V">V</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/adt/Node.html#val">val</a></span> - Variable in class app.exercise.adt.<a href="app/exercise/adt/Node.html" title="class in app.exercise.adt">Node</a></dt>
<dd>
<div class="block">Objektvariable des Wertes des Knotens</div>
</dd>
</dl>
<h2 class="title" id="I:W">W</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/exercise/testing/BSTreeTester.html#wait(int)">wait(int)</a></span> - Static method in class app.exercise.testing.<a href="app/exercise/testing/BSTreeTester.html" title="class in app.exercise.testing">BSTreeTester</a></dt>
<dd>
<div class="block">Unterbricht das Programm für eine bestimmte Anzahl an Millisekunden</div>
</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:B">B</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:U">U</a>&nbsp;<a href="#I:V">V</a>&nbsp;<a href="#I:W">W</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="allpackages-index.html">All&nbsp;Packages</a></main>
</div>
</div>
</body>
</html>
